QGIS Application - Bug report #17850
Grass v.segment from processing toolbox run with wrong parameter name
2018-01-14 09:23 PM - Marcin Domanski

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.18.15 Regression?: No

Operating System: Windows Easy fix?: Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25745
Description

Seems that, v.segment is ran with "file" parameter instead proper RULES:

"C:\PROGRA~1\QGIS2~1.18\bin>v.segment input="tmp15159606485313" *file*="D:/rule.txt"
output=outputef2dabfe765d4a88ad3a57476d13743e --overwrite

Description:
Creates points/segments from input vector lines and positions.

Keywords:
vector, geometry, node, point, segment, vertex

Usage:
v.segment input=name [layer=string] output=name [rules=name]
[--overwrite] [--help] [--verbose] [--quiet] [--ui]

Flags:

--0 Allow output files to overwrite existing files
--h Print usage summary

--v Verbose module output

--q Quiet module output

--qq Super quiet module output

--ui Force launching GUI dialog

Parameters:

input Name of input vector lines map

Or data source for direct OGR access

layer Layer number or name

Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR
access this is the layer name.

default: 1

output Name for output vector map

rules Name of file containing segment rules

'-' for standard input

ERROR: v.segment: Sorry, is not a valid parameter "

Associated revisions

Revision 4b1d98bd - 2018-01-15 09:28 AM - Alexander Bruy
[processing] update parameter name for v.segments (fix #17850)

History

#1 - 2018-01-15 09:28 AM - Alexander Bruy
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|4b1d98bd381849c23cd8d065f454af8ace0f80e1.

#2 - 2018-02-21 09:52 PM - Giovanni Manghi
- Resolution set to fixed/implemented
